#
# spec file for package ksnip
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ksnip
Version:        1.6.1
Release:        bp153.1.21
Summary:        Screenshot tool
License:        GPL-2.0-or-later
Group:          Productivity/Graphics/Other
URL:            https://github.com/DamirPorobic/ksnip
Source:         https://github.com/DamirPorobic/ksnip/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  gcc-c++
BuildRequires:  kColorPicker-devel
BuildRequires:  kImageAnnotator-devel >= 0.2.1
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb-xfixes)

%description
Ksnip is a Qt based cross-platform screenshot tool that provides many
annotation features for your screenshots.

%lang_package

%prep
%setup -q

%build
%cmake
%make_jobs

%install
%cmake_install
%suse_update_desktop_file -r %{name} Utility DesktopUtility

%find_lang %{name} --with-qt

%files
%license LICENSE
%doc CHANGELOG.md CODINGSTYLE README.md
%{_bindir}/%{name}
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.??g

%files lang -f %{name}.lang
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations

%changelog
* Wed Feb 26 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 1.6.1
  * Allow opening link directly to image without opening in browser.
  * Always use transparent snipping area background for Wayland.
  * Disable unavailable config options.
* Sun Feb  9 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 1.6.0
  New:
  * Make captured cursor an item which can be moved and deleted.
  * Add watermarks to annotated image.
  * Add crop button to toolbar.
  * Add undo and redo button on toolbar.
  * Make if watermark is rotated a config option.
  * Do not open image uploaded to imgur in browser.
  * Add shortcuts for taking screenshots.
  * Add Global HotKeys for X11.
  * Provide option to use previous capture area.
  * Add System Tray Icon.
  * Show tray icon notification after image was uploaded to
    imgur or saved.
  * Add support for Open-with.
  * Open ksnip minimized to tray.
  Changed:
  * Change copy icon.
  * Before discarding ask if user want save or not or cancel.
  * Shortcut for imgur upload was changed to Shift + i.
  Fixed:
  * Wildcards in path are not resolved.
  * CLI arg --rectarea doesn't work.
  * Add shortcut for File Menu in Main Menu.
  * Prompt to save before exit enabled now by default.
  * Configuration Window not translated.
  * ksnip opens anyway with -s option specified.
  * Open Image with full size window doesn't resize main window.
  * Can't work correctly when using scaled display.
  * ksnip opens outside desktop if last saved position was on n
    longer available monitor.
  * Window demaximize when taking a new screenshot.
  * Add support for Chinese Text Input.
- Drop patch:
  * ksnip-fix-install-dir.patch (not longer needed)
* Mon Jan 13 2020 Martin Hauke <mardnh@gmx.de>
- Drop superflous "Recommends: %%{name}-lang"
* Sun Dec 29 2019 Martin Hauke <mardnh@gmx.de>
- Package stable release, version 1.5.0
- Add patch:
  * ksnip-fix-install-dir.patch
* Thu Jun  6 2019 Андрей Алыпов <and.november@opensuse.org>
- initial package (version 1.6.0) for openSUSE
